classification
Title: Some commands should stop if Name and Version are missing
Type: behavior Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, gawel, tarek
Priority: normal Keywords:

Created on 2011-01-28 10:39 by gawel, last changed 2011-02-10 01:15 by eric.araujo. This issue is now closed.

Messages (3)
msg127277 - (view) Author: Gael Pasgrimaud (gawel) Date: 2011-01-28 10:39
distutils2 commands should stop if at least Name and Version metadatas are not provided in setup.cfg

For now you'll get a UNKNOWN-UNKNOWN.tar.gz
msg127440 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-29 16:43
Thanks for the report and fix (da2f3527ef02).  I think you wanted to use a global object to list required fields, but you defined it without using it:

_345_REQUIRED = ('Name', 'Version')
[...]
-        for attr in ('Name', 'Version', 'Home-page'):
+
+        for attr in ('Name', 'Version'):
msg128253 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-10 01:15
gawel confirmed on IRC that this was an oversight.  On second thought, I decided to remove the constant, which I deemed unneeded: it doesn’t save time for programmers (there is code checking various subsets of the fields everywhere, just one constant does not reduce code significantly), and I don’t think it saves computer time either (local literals vs. global lookup—unprofiled though).  Alexis pulled my change (7e1118583e5f).
History
Date User Action Args
2011-02-10 01:15:43eric.araujosetnosy: tarek, eric.araujo, gawel
messages: + msg128253
2011-01-29 17:35:30eric.araujolinkissue11025 superseder
2011-01-29 16:43:18eric.araujosetstatus: open -> closed

type: enhancement -> behavior
assignee: tarek -> eric.araujo
versions: + 3rd party
nosy: tarek, eric.araujo, gawel
messages: + msg127440
resolution: fixed
stage: resolved
2011-01-28 10:39:15gawelcreate